Package org.springframework.security.authentication.ott

# Class InvalidOneTimeTokenException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.ott.InvalidOneTimeTokenException

All Implemented Interfaces:
  `Serializable`

public class InvalidOneTimeTokenException extends AuthenticationException
An `AuthenticationException` that indicates an invalid one-time token.

Since:
  6.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidOneTimeTokenException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidOneTimeTokenException

public InvalidOneTimeTokenException(String msg)